<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/PresetsMenu.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d58/_presets_menu_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PresetsMenu.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d58/_presets_menu_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PresetsMenu <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a20c613194e3e87849dfb12a144ef8893">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a20c613194e3e87849dfb12a144ef8893">PresetsMenu</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    }</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ace88ba408b2983f773e23ccf4a085398">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ace88ba408b2983f773e23ccf4a085398">~PresetsMenu</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">   11</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">Init</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        layoutRoot = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>(<span class="stringliteral">&quot;gui/layouts/day_z_options_controls_preset.layout&quot;</span>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_schemes_list = TextListboxWidget.Cast( layoutRoot.FindAnyWidget(<span class="stringliteral">&quot;PresetListboxWidget&quot;</span>) );</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordtype">int</span> c = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#a1548c51fbce0045c1df024f5cf723bdd">GetProfilesCount</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; c; i++)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <span class="keywordtype">string</span> tmp;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#aaebe6616d6b648f2850eba5c5846bac4">GetProfileName</a>(i, tmp);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            m_schemes_list.AddItem(tmp, NULL, 0);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        i = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#ac9601093267416fde226b5e78719fbc1">GetCurrentProfile</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> (i &gt;= 0 &amp;&amp; i &lt; c)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            m_schemes_list.SelectRow(i);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> layoutRoot;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">OnClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        super.OnClick(w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, button);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">switch</span> (w.GetUserID())</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../da/d4c/group___u_i.html#gaba6e51e243f98a9ba264f292c46c8f2d">IDC_CANCEL</a>:</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a>();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../da/d4c/group___u_i.html#gafd2ff576b89077f07ebac93270f2e24f">IDC_OK</a>:</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordtype">int</span> index = m_schemes_list.GetSelectedRow();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <span class="keywordflow">if</span> (index != -1)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#a2b6b9ac4a4e86d790820faab316f8209">SetProfile</a>(index);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a8662597383ea6944a543b8df82cd4255">GetOnInputPresetChanged</a>().<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a>();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d1/d5b/class_u_i_scripted_menu.html#a387c161a5c76f0486e71853f7929c96e">   60</a></span>    <span class="keyword">private</span> TextListboxWidget <a class="code hl_variable" href="../../d1/d5b/class_u_i_scripted_menu.html#a387c161a5c76f0486e71853f7929c96e">m_schemes_list</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_item_base_8c_html_a604074e02bcee1dc8a5ab6bdbd2e2e84"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a604074e02bcee1dc8a5ab6bdbd2e2e84">Close</a></div><div class="ttdeci">void Close()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08850">ItemBase.c:8850</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_c_game_html_aecd897d7ae85f4fba1f7ee552046f909"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">CGame::GetInput</a></div><div class="ttdeci">proto native Input GetInput()</div></div>
<div class="ttc" id="aclass_c_game_html_aedfacca42304fed9eff41cbb197f73a7"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">CGame::GetMission</a></div><div class="ttdeci">proto native Mission GetMission()</div></div>
<div class="ttc" id="aclass_input_html_a1548c51fbce0045c1df024f5cf723bdd"><div class="ttname"><a href="../../d4/d7b/class_input.html#a1548c51fbce0045c1df024f5cf723bdd">Input::GetProfilesCount</a></div><div class="ttdeci">proto native int GetProfilesCount()</div><div class="ttdoc">gets profile by name</div></div>
<div class="ttc" id="aclass_input_html_a2b6b9ac4a4e86d790820faab316f8209"><div class="ttname"><a href="../../d4/d7b/class_input.html#a2b6b9ac4a4e86d790820faab316f8209">Input::SetProfile</a></div><div class="ttdeci">proto native int SetProfile(int index)</div><div class="ttdoc">setting active profile</div></div>
<div class="ttc" id="aclass_input_html_aaebe6616d6b648f2850eba5c5846bac4"><div class="ttname"><a href="../../d4/d7b/class_input.html#aaebe6616d6b648f2850eba5c5846bac4">Input::GetProfileName</a></div><div class="ttdeci">proto int GetProfileName(int profile_index, out string name)</div><div class="ttdoc">gets profile by index</div></div>
<div class="ttc" id="aclass_input_html_ac9601093267416fde226b5e78719fbc1"><div class="ttname"><a href="../../d4/d7b/class_input.html#ac9601093267416fde226b5e78719fbc1">Input::GetCurrentProfile</a></div><div class="ttdeci">proto native int GetCurrentProfile()</div><div class="ttdoc">gets currently selected profile</div></div>
<div class="ttc" id="aclass_mission_html_a8662597383ea6944a543b8df82cd4255"><div class="ttname"><a href="../../db/dad/class_mission.html#a8662597383ea6944a543b8df82cd4255">Mission::GetOnInputPresetChanged</a></div><div class="ttdeci">ScriptInvoker GetOnInputPresetChanged()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00817">gameplay.c:817</a></div></div>
<div class="ttc" id="aclass_script_invoker_html_a92afb05a0027c1949c5364a8e035e1c9"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">ScriptInvoker::Invoke</a></div><div class="ttdeci">proto void Invoke(void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">invoke call on all inserted methods with given arguments</div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00020">DayZGame.c:21</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a20c613194e3e87849dfb12a144ef8893"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a20c613194e3e87849dfb12a144ef8893">UIScriptedMenu::PresetsMenu</a></div><div class="ttdeci">void PresetsMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_presets_menu_8c_source.html#l00003">PresetsMenu.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a387c161a5c76f0486e71853f7929c96e"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a387c161a5c76f0486e71853f7929c96e">UIScriptedMenu::m_schemes_list</a></div><div class="ttdeci">private TextListboxWidget m_schemes_list</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_presets_menu_8c_source.html#l00060">PresetsMenu.c:60</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_aca76f7de94e43c81d67d6c5b672f4fbe"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#aca76f7de94e43c81d67d6c5b672f4fbe">UIScriptedMenu::Init</a></div><div class="ttdeci">override Widget Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_presets_menu_8c_source.html#l00011">PresetsMenu.c:11</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ace88ba408b2983f773e23ccf4a085398"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ace88ba408b2983f773e23ccf4a085398">UIScriptedMenu::~PresetsMenu</a></div><div class="ttdeci">void ~PresetsMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_presets_menu_8c_source.html#l00007">PresetsMenu.c:7</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ad1bfa3dda2895fad96fa25f720d5aff1"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ad1bfa3dda2895fad96fa25f720d5aff1">UIScriptedMenu::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d58/_presets_menu_8c_source.html#l00034">PresetsMenu.c:34</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___u_i_html_gaba6e51e243f98a9ba264f292c46c8f2d"><div class="ttname"><a href="../../da/d4c/group___u_i.html#gaba6e51e243f98a9ba264f292c46c8f2d">IDC_CANCEL</a></div><div class="ttdeci">const int IDC_CANCEL</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00115">constants.c:115</a></div></div>
<div class="ttc" id="agroup___u_i_html_gafd2ff576b89077f07ebac93270f2e24f"><div class="ttname"><a href="../../da/d4c/group___u_i.html#gafd2ff576b89077f07ebac93270f2e24f">IDC_OK</a></div><div class="ttdeci">const int IDC_OK</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00114">constants.c:114</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dc/d58/_presets_menu_8c.html">PresetsMenu.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
